(a) Particle $i$ had velocity $v_i$ in the center-of-mass
frame, and has velocity $v_i+u$ in the new frame. The
total kinetic energy is
\begin{equation*}
 \frac{1}{2}m_1\left(\vc{v}_1+\vc{u}\right)^2+\ldots \qquad ,
\end{equation*}
where ``\ldots'' indicates that the sum continues for all the
particles. Rewriting this in terms of the vector dot product, we have
\begin{equation*}
 \frac{1}{2}m_1\left(\vc{v}_1+\vc{u}\right)\cdot\left(\vc{v}_1+\vc{u}\right)+\ldots
 = \frac{1}{2}m_1\left(\vc{v}_1\cdot\vc{v}_1+2\vc{u}\cdot\vc{v}_1+\vc{u}\cdot\vc{u}\right) + \ldots\qquad .
\end{equation*}
When we add up all the terms like the first one, we get
$K_{cm}$. Adding up all the terms like the third one, we get
$M|\vc{u}|^2/2$. The terms like the second term cancel out:
\begin{equation*}
  m_1\vc{u}\cdot\vc{v}_1 + \ldots
			 =     \vc{u}\cdot\left(m_1\vc{v}_1+\ldots\right)\qquad   ,  
\end{equation*}
where the sum in brackets equals the total momentum in the
center-of-mass frame, which is zero by definition.\\
(b) Changing frames of reference doesn't change the distances
between the particles, so the potential energies are all
unaffected by the change of frames of reference. Suppose
that in a given frame of reference, frame 1, energy is
conserved in some process: the initial and final energies
add up to be the same. First let's transform to the
center-of-mass frame. The potential energies are unaffected
by the transformation, and the total kinetic energy is
simply reduced by the quantity $M |\vc{u}_1|^2/2$, where $\vc{u}_1$ is
the velocity of frame 1 relative to the center of mass.
Subtracting the same constant from the initial and final
energies still leaves them equal. Now we transform to frame
2. Again, the effect is simply to change the initial and
final energies by adding the same constant.



